%global majorver 1.0

Name:		xfpanel-switch
Version:	1.0.4
Release:	3%{?dist}
Summary:	A simple application to manage Xfce panel layouts

License:	GPLv3
URL:		https://launchpad.net/%{name}
Source0:	https://launchpad.net/%{name}/%{majorver}/%{version}/+download/%{name}-%{version}.tar.bz2
# Add appdata file
Source1:	%{name}.appdata.xml
Source2:	it.po

%if 0%{?fedora}
BuildRequires:	python3-devel
%endif

%if 0%{?rhel} >= 7
BuildRequires:	python34-devel
%endif

BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	libappstream-glib
BuildRequires:	desktop-file-utils
BuildArch:	noarch
Requires:	xfce4-panel

%description
A simple application to manage Xfce panel layouts

With the modular Xfce Panel, a multitude of panel layouts can be created. 
This tool makes it possible to backup, restore, import, and export these 
panel layouts.

%prep
%setup -q
cp -p %{SOURCE2} po/

# remove "xubuntu" layouts
rm -fr data/layouts/xubuntu*
sed -i '/cd data\/layouts\/xubuntu-*/d' Makefile.in.in
sed -i '/INSTALL $(DESTDIR)\/$(PREFIX)\/share\/doc/d' Makefile.in.in
sed -i '/COPYING $(DESTDIR)\/$(PREFIX)\/share\/doc/d' Makefile.in.in

%build
./configure --prefix=/usr
make %{?_smp_mflags}

%install
%make_install

%{__install} -Dp -m644 %{SOURCE1} %{buildroot}%{_datadir}/appdata/%{name}.appdata.xml
%{__install} -Dp -m644 COPYING %{buildroot}%{_datadir}/licenses/%{name}/COPYING

%find_lang %{name}

%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/appdata/%{name}.appdata.xml


%files -f %{name}.lang
%license COPYING
%doc NEWS AUTHORS README
%{_datadir}/%{name}/*
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Apr 15 2016 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 1.0.4-2
- Added fedora and el conditionals

* Thu Apr 14 2016 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 1.0.4-1
- Updated to v1.0.4

* Mon Mar 07 2016 Mukundan Ragavan <nonamedotc@gmail.com> - 1.0.3-3
- Added italian translation

* Sun Mar 06 2016 Mukundan Ragavan <nonamedotc@gmail.com> - 1.0.3-2
- Add desktop-file-validate for .desktop files
- Fix buildrequires
- Add appdata file and corresponding BR

* Sat Mar 05 2016 Mukundan Ragavan <nonamedotc@gmail.com> - 1.0.3-1
- Inital package 
